> ## Documentation Index
> Fetch the complete documentation index at: https://docs.infinity.swiss/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete contact

> Deletes the contact with the given id, unless it is already in use.



## OpenAPI

````yaml DELETE /v1/contacts/{contactId}
openapi: 3.1.0
info:
  title: infinity.swiss Open API
  version: '1.0'
  summary: ''
servers:
  - url: https://api.infinity.swiss
security:
  - apiKey: []
paths:
  /v1/contacts/{contactId}:
    parameters:
      - schema:
          type: string
        name: contactId
        in: path
        description: The id of the specific contact
        required: true
    delete:
      tags: []
      summary: Delete contact
      description: Deletes the contact with the given id, unless it is already in use.
      operationId: delete-contact-by-id-v1
      responses:
        '200':
          description: The contact was deleted successfully.
        '401':
          $ref: '#/components/responses/Unauthorised'
        '403':
          description: >-
            The contact deletion is not possible if the contact is already in
            use, for example in an invoice or project.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    x-stoplight:
                      id: i0dc28w7ql1jv
                    description: Specific error code
              examples:
                Contact already in use:
                  value:
                    code: contact/in-use
components:
  responses:
    Unauthorised:
      description: >-
        An unauthorised request was submitted. You may be using an incorrect or
        expired API token, or are attempting to access a document outside of the
        scope of the token.
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                x-stoplight:
                  id: 08hkw8ukmi2lp
                description: Specific error code
          examples:
            Unauthorised request:
              value:
                code: general/unauthorised
  securitySchemes:
    apiKey:
      name: x-api-token
      type: apiKey
      in: header
      description: >-
        API token for authentication. Obtain from your Infinity account
        settings.

````